## ibus-table-chinese 1.3.0.20100527

=== debian/changelog ===
ibus-table-chinese (1.3.0.20100527-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Aron Xu <aron@debian.org>  Mon, 27 Jun 2011 00:41:04 +0800

ibus-table-chinese (1.3.0.20100527-1) unstable; urgency=low

  [ Asias He ]
  * Initial release (Closes: #583385)

 -- LI Daobing <lidaobing@debian.org>  Sun, 15 Aug 2010 21:45:43 +0800
