## ibus-table-chinese 1.3.4

=== debian/changelog ===
ibus-table-chinese (1.3.4-1) unstable; urgency=low

  * New upstream release. 
  * Set Vcs to git.debian.org
  * Set DM-Upload-Allowed to yes
  * Fix "Typo in package description" (Closes: #604403)
  * Fix "FTBFS: __main__.InvalidTableName: Value of NAME attribute"
    (Closes: #642812)
  * Add cmake to Build-Depends

 -- Asias He <asias.hejun@gmail.com>  Mon, 26 Sep 2011 22:32:56 +0800
