=== ibus-table-chinese-1.4.0-Source/tables/array/CMakeLists.txt ===
# Array30
SET(UUID "fe1125da-3bff-47b8-9aa7-d7586633ae4a")
SET(ICON_FILE "array30.png")
SET(TABLE_NAME_EN "Array30")
SET(TABLE_NAME_ZH "行列30")
SET(DESC "Array 30 Chinese input method.")
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/array30.head.in
    ${CMAKE_CURRENT_BINARY_DIR}/array30.head @ONLY
    )

CONVERT_ENCODING(${CMAKE_CURRENT_BINARY_DIR}/array30_27489.utf8 UTF16 array30_27489.txt)
GENERATE_FREQ(${CMAKE_CURRENT_BINARY_DIR}/array30_27489.freq
    ${CMAKE_CURRENT_BINARY_DIR}/array30_27489.utf8
    )
MAKE_TABLE_SOURCE_TXT(${CMAKE_CURRENT_BINARY_DIR}/array30.txt
    ${CMAKE_CURRENT_BINARY_DIR}/array30.head
    ${CMAKE_CURRENT_BINARY_DIR}/array30_27489.freq array30.tail
    )

# Array30-big
SET(UUID "3c28e5f1-0885-486e-8d15-b13680b9a44c")
SET(ICON_FILE "array30-big.png")
SET(TABLE_NAME_EN "Array30BigTable")
SET(TABLE_NAME_ZH "行列30大字集")
SET(DESC "Array 30 Chinese input method that include unicode Ext B.")
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/array30.head.in
    ${CMAKE_CURRENT_BINARY_DIR}/array30-big.head @ONLY
    )

CONVERT_ENCODING(${CMAKE_CURRENT_BINARY_DIR}/array30_ExtB.utf8 UTF16 array30_ExtB.txt)

ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/array30-big.utf8
    COMMAND cat ${CMAKE_CURRENT_BINARY_DIR}/array30_27489.utf8
    ${CMAKE_CURRENT_BINARY_DIR}/array30_ExtB.utf8
    > ${CMAKE_CURRENT_BINARY_DIR}/array30-big.utf8
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/array30_27489.utf8
    ${CMAKE_CURRENT_BINARY_DIR}/array30_ExtB.utf8
    VERBATIM
    )

GENERATE_FREQ(${CMAKE_CURRENT_BINARY_DIR}/array30-big.freq
    ${CMAKE_CURRENT_BINARY_DIR}/array30-big.utf8
    )
MAKE_TABLE_SOURCE_TXT(${CMAKE_CURRENT_BINARY_DIR}/array30-big.txt
    array30-big.head array30-big.freq array30.tail
    )

CONVERT_DB(array "${CMAKE_CURRENT_BINARY_DIR}/array30.txt"
    "${CMAKE_CURRENT_BINARY_DIR}/array30-big.txt"
    )
