=== debian/changelog ===
ibus-table-chinese (1.4.0.20121008-1) experimental; urgency=low

  * New upstream release.

 -- Asias He <asias@debian.org>  Tue, 16 Oct 2012 20:08:10 +0800

ibus-table-chinese (1.4.0-1) experimental; urgency=low

  * New upstream release.
  * Add cmake back to Build-Depends
  * Drop the lines starting with # in debian/copyright

 -- Asias He <asias@debian.org>  Fri, 05 Oct 2012 23:34:28 +0800

ibus-table-chinese (1.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Asias He <asias.hejun@gmail.com>  Thu, 16 Aug 2012 17:53:13 +0800
