=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: Asias He <asias.hejun@gmail.com>, LI Daobing <lidaobing@debian.org>
+Uploaders: Asias He <asias@debian.org>, LI Daobing <lidaobing@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake
 Build-Depends-Indep: autotools-dev, ibus-table (>= 1.3.9.20110827), pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/ibus
 Vcs-Git: git://git.debian.org/pkg-ime/ibus-table-chinese.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ime/ibus-table-chinese.git
@@ -13,6 +13,7 @@
 
 Package: ibus-table-cangjie
 Architecture: all
+Section: utils
 Depends: ${misc:Depends}, ibus-table-cangjie3, ibus-table-cangjie5, ibus-table-cangjie-big
 Description: ibus-table input method: CangJie (dummy package)
  This is a dummy package for safe upgrade.
@@ -21,6 +22,7 @@
 
 Package: ibus-table-cangjie3
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: CangJie3
  This package provide one input method: CangJie3.
@@ -30,6 +32,7 @@
 
 Package: ibus-table-cangjie5
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: CangJie5
  This package provide one input method: CangJie5.
@@ -39,6 +42,7 @@
 
 Package: ibus-table-cangjie-big
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: CangJie (big)
  This package provide one input method: CangJie (big).
@@ -48,12 +52,14 @@
 
 Package: ibus-table-cantonese
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: Cantonese
  This package provides one input methods: Cantonese
 
 Package: ibus-table-cantonhk
 Architecture: all
+Section: utils
 Replaces: ibus-table-cantonese
 Conflicts: ibus-table-cantonese (<= 1.2.0.20100305-2)
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
@@ -62,6 +68,7 @@
 
 Package: ibus-table-jyutping
 Architecture: all
+Section: utils
 Replaces: ibus-table-cantonese
 Conflicts: ibus-table-cantonese (<= 1.2.0.20100305-2)
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
@@ -72,6 +79,7 @@
 
 Package: ibus-table-easy
 Architecture: all
+Section: utils
 Depends: ${misc:Depends}, ibus-table-easy-big
 Description: ibus-table input method: Easy (dummy package)
  This is a dummy package for stable upgrade.
@@ -80,6 +88,7 @@
 
 Package: ibus-table-easy-big
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: Easy (big)
  This package provide one input method: Easy (big).
@@ -88,6 +97,7 @@
 
 Package: ibus-table-erbi
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: ErBi
  This package provide one input methods: ErBi
@@ -98,6 +108,7 @@
 
 Package: ibus-table-erbi-qs
 Architecture: all
+Section: utils
 Replaces: ibus-table-erbi
 Conflicts: ibus-tabel-erbi (<= 1.2.0.20090901-1)
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
@@ -110,6 +121,7 @@
 
 Package: ibus-table-quick
 Architecture: all
+Section: utils
 Depends: ${misc:Depends}, ibus-table-quick3, ibus-table-quick5, ibus-table-quick-classic
 Description: ibus-table input method: Quick (dummy package)
  This is a dummy package for stable upgrade.
@@ -118,6 +130,7 @@
 
 Package: ibus-table-quick3
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: Quick3
  This package provide one input method: Quick3.
@@ -126,6 +139,7 @@
 
 Package: ibus-table-quick5
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: Quick5
  This package provide one input method: Quick5.
@@ -134,6 +148,7 @@
 
 Package: ibus-table-quick-classic
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: Quick Classic
  This package provide one input method: Quick Classic.
@@ -142,6 +157,7 @@
 
 Package: ibus-table-scj6
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: Smart CangJie 6
  This package provide one input method: Smart CangJie 6.
@@ -151,12 +167,14 @@
 
 Package: ibus-table-stroke5
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: Stroke5
  This package provides one input method: Stroke5.
 
 Package: ibus-table-wubi
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: Wubi
  This package provide one input method: WuBi.
@@ -166,12 +184,14 @@
 
 Package: ibus-table-wu
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: Wu
  This package provides one input method: Wu.
 
 Package: ibus-table-yong
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: ibus-table input method: YongMa
  This package provide one input method: YongMa.
@@ -181,6 +201,7 @@
 
 Package: ibus-table-array30
 Architecture: all
+Section: utils
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus-table (>= 1.3.9.20110827)
 Description: Array30 input method based on table engine of ibus
  This package provide one input method: Array30.
