## ibus-table-chinese 1.4.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -122,7 +122,7 @@
     )
 
 LIST(APPEND PRJ_IGNORE_FILES_COMMON
-    "\\\\.utf8$" "\\\\.tmp$" "\\\\.freq$"
+    "\\\\.utf8$" "\\\\.tmp$" "\\\\.freq$" "\\\\.tab$"
     "tables/array/.*\\\\.head$"
     "array30.txt" "array30-big.txt" "wubi-haifeng86.txt"
     )
