=== tables/cangjie/CMakeLists.txt ===
CONVERT_DB(cangjie "cangjie3.txt" "cangjie5.txt" "cangjie-big.txt")
