=== tables/cantonese/CMakeLists.txt ===
CONVERT_DB(cantonese "cantonese.txt" "cantonhk.txt" "jyutping.txt")
