=== tables/wu/CMakeLists.txt ===
CONVERT_DB(wu "wu.txt")
